#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 criterion
version:              1.5.9.0
visibility:           public
id:                   criterion-1.5.9.0-4H2i1JTc3hL5e6r2ts0b1M
key:                  criterion-1.5.9.0-4H2i1JTc3hL5e6r2ts0b1M
license:              BSD-3-Clause
copyright:            2009-2016 Bryan O'\''Sullivan and others
maintainer:           Ryan Scott <ryan.gl.scott@gmail.com>
author:               Bryan O'\''Sullivan <bos@serpentine.com>
homepage:             http://www.serpentine.com/criterion
synopsis:             Robust, reliable performance measurement and analysis
description:
    This library provides a powerful but simple way to measure software
    performance.  It provides both a framework for executing and
    analysing benchmarks and a set of driver functions that makes it
    easy to build and run benchmarks, and to analyse their results.

    The fastest way to get started is to read the
    <http://www.serpentine.com/criterion/tutorial.html online tutorial>,
    followed by the documentation and examples in the "Criterion.Main"
    module.

    For examples of the kinds of reports that criterion generates, see
    <http://www.serpentine.com/criterion the home page>.

category:             Development, Performance, Testing, Benchmarking
abi:                  7bb96fcea40e92f4ccfea51e57e0d33f
exposed:              True
exposed-modules:
    Criterion Criterion.Analysis Criterion.IO Criterion.IO.Printf
    Criterion.Internal Criterion.Main Criterion.Main.Options
    Criterion.Monad Criterion.Report Criterion.Types

hidden-modules:       Criterion.Monad.Internal Paths_criterion
import-dirs:          /usr/lib/ghc-9.0.1/site-local/criterion-1.5.9.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/criterion-1.5.9.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-criterion
hs-libraries:         HScriterion-1.5.9.0-4H2i1JTc3hL5e6r2ts0b1M
depends:
    Glob-0.10.1-7AkUlgrbM6TGl3laZ7SJMg
    aeson-1.5.6.0-EMNFVE8fJ8l4Y3HGKS2Pru
    ansi-wl-pprint-0.6.9-CALQLttOTbBFPkiWaMiKVz base-4.15.0.0
    base-compat-batteries-0.11.2-6oVgrrfKz487hOjQNwIyJR binary-0.8.8.0
    binary-orphans-1.0.1-Isv4rXzuQxvEOD7BqdKVdD bytestring-0.10.12.1
    cassava-0.5.2.0-8Mn2OoH18DJHKz993hrt6
    code-page-0.2.1-CYVTpGA5RICHN6wyF6l377 containers-0.6.4.1
    criterion-measurement-0.1.3.0-EF6519m4oo3KwM5vGSUhrA
    deepseq-1.4.5.0 directory-1.3.6.1 exceptions-0.10.4
    filepath-1.4.2.1 js-chart-2.9.4.1-DuzjunIu90bBElouISVjWv
    microstache-1.0.1.2-LuiMdv7Io8E6VLrwLKW79f mtl-2.2.2
    mwc-random-0.15.0.1-I6Y2p1kji1i9OSYSIyexit
    optparse-applicative-0.16.1.0-1oNXqZHhgpqGN4Eocke7To
    parsec-3.1.14.0 statistics-0.15.2.0-M6O6Yo6Qus9hnBlMEBB1S
    text-1.2.4.1 time-1.9.3 transformers-0.5.6.2
    transformers-compat-0.7-G46eeHH0vduAN6T7RnrFpu
    vector-0.12.3.0-6sPLZXQdGWkHzsFcCKoHc
    vector-algorithms-0.8.0.4-LPTUcz8Rozvtp1JBcwRV9

haddock-interfaces:   /usr/share/doc/haskell-criterion/html/criterion.haddock
haddock-html:         /usr/share/doc/haskell-criterion/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

